using msoui.Models;

namespace msoui.Forms;

internal sealed partial class MainForm : Form
{
    public MainForm()
    {
        TempWorkDir = @".\msou\";
        InitializeComponent();
    }

    public string TempWorkDir { get; set; }

    private void exitButton_Click(object sender, EventArgs e)
    {
        Application.Exit();
    }

    private void installButton_Click(object sender, EventArgs e)
    {
        //  tmp
        string oldTempWorkDir = TempWorkDir;

        //  tmp
        TempWorkDir = bitsSelector64.Checked ? $@"{TempWorkDir}x64\" : $@"{TempWorkDir}x32\";

        //  
        ScanDirModel scanModel = new("*.exe", TempWorkDir, false);

        //  
        ScanDirForm scanDirFrm = new(scanModel);

        // 
        scanDirFrm.ShowDialog();

        // 
        scanDirFrm.Dispose();

        //   
        ListModel updateListModel = new(scanDirFrm.Model.FoundList);

        //   
        UpdatesListForm updatesListForm = new(updateListModel);

        // 
        DialogResult ulDialogResult = updatesListForm.ShowDialog();

        //  -- 
        if (ulDialogResult == DialogResult.Cancel)
        {
            //    
            TempWorkDir = oldTempWorkDir;
            return;
        }

        // 
        updatesListForm.Dispose();

        //  
        InstallModel installModel = new(updateListModel.OutList, TempWorkDir);

        //   
        InstallForm installForm = new(installModel);

        // 
        installForm.ShowDialog();

        // 
        installForm.Dispose();

        //   tmp
        TempWorkDir = oldTempWorkDir;
    }
}