﻿namespace msoui.Models;

/// <summary>
///     Модель для сканирования
/// </summary>
public class ScanDirModel
{
    public ScanDirModel(string mask, string searchDir, bool scanSubDirs)
    {
        Mask = mask;
        SearchDir = searchDir;
        ScanSubDirs = scanSubDirs;
        FoundList = new List<string>();
    }

    /// <summary>
    ///     Маска для поиска
    /// </summary>
    public string Mask { get; set; }

    /// <summary>
    ///     Каталог поиска
    /// </summary>
    public string SearchDir { get; set; }

    /// <summary>
    ///     Сканировать поддиректории
    /// </summary>
    public bool ScanSubDirs { get; set; }

    /// <summary>
    ///     Список найденных файлов
    /// </summary>
    public List<string> FoundList { get; set; }
}